# install packages 
install.packages("tidyverse")
library(tidyverse)
library(ggplot2)
library(dplyr)
#upload data
ds<- read.csv("178_observations.csv")

## Cross tabs of data sharing experience X skeptics/believers
```{r}
agreecross <-  xtabs(~ds.share_type + ds.agreementfinal, data=ds) #crosstabs sharetypeXagreeement
agreecross
```

## chi-square sharing experience X skeptics/believers
```{r}
chisq.test(ds$ds.share_type, ds$ds.agreementfinal)
```
#ANOVAS for RQ3

## Q5d2
My IRB will have a problem with me sharing data.
```{r}
one.way.rq3.2 <- aov(ds.Q5d_2 ~ ds.agreementfinal, data = ds)

summary(one.way.rq3.2 )
coefficients(one.way.rq3.2 )
```

## Q5d4
I don’t know how to start sharing my data.
```{r}
one.way.rq3.4 <- aov(ds.Q5d_4 ~ ds.agreementfinal, data = ds)

summary(one.way.rq3.4 )
coefficients(one.way.rq3.4)
```

## Q5d5
If I share my data, it might be possible to identify a participant.
```{r}
one.way.rq3.5 <- aov(ds.Q5d_5 ~ ds.agreementfinal, data = ds)

summary(one.way.rq3.5 )
coefficients(one.way.rq3.5)
```

## Q5d6
If I share my data, someone might publish my key findings before I do.
```{r}
one.way.rq3.6 <- aov(ds.Q5d_6 ~ ds.agreementfinal, data = ds)

summary(one.way.rq3.6)
coefficients(one.way.rq3.6)
```

## Q5d8
I don’t know where to share my data.
```{r}
one.way.rq3.8 <- aov(ds.Q5d_8 ~ ds.agreementfinal, data = ds)

summary(one.way.rq3.8)
coefficients(one.way.rq3.8)
```

## Q5d9
I don’t want to share my data because someone might find a mistake.
```{r}
one.way.rq3.9 <- aov(ds.Q5d_9 ~ ds.agreementfinal, data = ds)

summary(one.way.rq3.9)
coefficients(one.way.rq3.9)
```

## Q5d10
These data exist because of my hard work, why would I share so someone else benefits?
```{r}
one.way.rq3.10 <- aov(ds.Q5d_10 ~ ds.agreementfinal, data = ds)

summary(one.way.rq3.10)
coefficients(one.way.rq3.10)
```

## Q5d11
Data sharing is time consuming and expensive.
```{r}
one.way.rq3.11 <- aov(ds.Q5d_11 ~ ds.agreementfinal, data = ds)

summary(one.way.rq3.11)
coefficients(one.way.rq3.11) 
```

## Q5d12
If someone reuses my data, they may misinterpret
```{r}
one.way.rq3.12 <- aov(ds.Q5d_12 ~ ds.agreementfinal, data = ds)

summary(one.way.rq3.12)
coefficients(one.way.rq3.12)
```


# ANOVAs for RQ4

## changing variables to a factor
```{r}
ds$ds.share_type <- as.factor(ds$ds.share_type)

```

## Q5d2
My IRB will have a problem with me sharing data.
```{r}
one.way.2 <- aov(ds.Q5d_2 ~ ds.share_type, data = ds)

summary(one.way.2)
coefficients(one.way.2)
```

## Q5d4
I don’t know how to start sharing my data.
```{r}
one.way.4 <- aov(ds.Q5d_4 ~ ds.share_type, data = ds)

summary(one.way.4)
coefficients(one.way.4)
```

```{r}
barriercross <-  xtabs(~ds.share_type + ds.Q5d_5, data=ds) #crosstabs sharetypeXagreeement
barriercross
```


## Q5d5
If I share my data, it might be possible to identify a participant.
```{r}
one.way.5 <- aov(ds.Q5d_5 ~ ds.share_type, data = ds)

summary(one.way.5)
coefficients(one.way.5)
```

## Q5d6
If I share my data, someone might publish my key findings before I do.
```{r}
one.way.6 <- aov(ds.Q5d_6 ~ ds.share_type, data = ds)

summary(one.way.6)
coefficients(one.way.6)
```

## Q5d8
I don’t know where to share my data.
```{r}
one.way.8 <- aov(ds.Q5d_8 ~ ds.share_type, data = ds)

summary(one.way.8)
coefficients(one.way.8)
```

## Q5d9
I don’t want to share my data because someone might find a mistake.
```{r}
one.way.9 <- aov(ds.Q5d_9 ~ ds.share_type, data = ds)

summary(one.way.9)
coefficients(one.way.9)
```

## Q5d10
These data exist because of my hard work, why would I share so someone else benefits?
```{r}
one.way.10 <- aov(ds.Q5d_10 ~ ds.share_type, data = ds)

summary(one.way.10)
coefficients(one.way.10)
```

## Q5d11
Data sharing is time consuming and expensive.
```{r}
one.way.11 <- aov(ds.Q5d_11 ~ ds.share_type, data = ds)

summary(one.way.11)
coefficients(one.way.11)
```

## Q5d12
If someone reuses my data, they may misinterpret
```{r}
one.way.12 <- aov(ds.Q5d_12 ~ ds.share_type, data = ds)

summary(one.way.12)
coefficients(one.way.12)



table(ds$agreementfinal)
#survey items 
mean(ds$Q5d_1, na.rm=TRUE)
sd(ds$Q5d_1, na.rm=TRUE)
mean(ds$Q5d_2, na.rm=TRUE)
sd(ds$Q5d_2, na.rm=TRUE)
mean(ds$Q5d_3, na.rm=TRUE)
sd(ds$Q5d_3, na.rm=TRUE)
mean(ds$Q5d_4, na.rm=TRUE)
sd(ds$Q5d_4, na.rm=TRUE)
mean(ds$Q5d_5, na.rm=TRUE)
sd(ds$Q5d_5, na.rm=TRUE)
mean(ds$Q5d_6, na.rm=TRUE)
sd(ds$Q5d_6, na.rm=TRUE)
mean(ds$Q5d_7, na.rm=TRUE)
sd(ds$Q5d_7, na.rm=TRUE)
mean(ds$Q5d_8, na.rm=TRUE)
sd(ds$Q5d_8, na.rm=TRUE)
mean(ds$Q5d_9, na.rm=TRUE)
sd(ds$Q5d_9, na.rm=TRUE)
mean(ds$Q5d_10, na.rm=TRUE)
sd(ds$Q5d_10, na.rm=TRUE)
mean(ds$Q5d_11, na.rm=TRUE)
sd(ds$Q5d_11, na.rm=TRUE)
mean(ds$Q5d_12, na.rm=TRUE)
sd(ds$Q5d_12, na.rm=TRUE)
#demographic
## field
table(ds$Q1a)
## area of research (Q1b)
sum(ds$Q1b_1,na.rm=TRUE)
sum(ds$Q1b_2,na.rm=TRUE)
sum(ds$Q1b_3,na.rm=TRUE)
sum(ds$Q1b_4,na.rm=TRUE)
sum(ds$Q1b_5,na.rm=TRUE)
sum(ds$Q1b_6,na.rm=TRUE)
sum(ds$Q1b_7,na.rm=TRUE)
## workplace
table(ds$Q1c)
## funded IES
table(ds$Q1e_1)
## funded NIH
table(ds$Q1e_2)
## funded NSF
table(ds$Q1e_3)
## add all three funding sites and get sums 
Q1e_sum <- ds$Q1e_1+ds$Q1e_2+ds$Q1e_3
table(Q1e_sum)
## under 18
table(ds$Q1f)
## types of data (Q1g)
sum(ds$Q1g_1,na.rm=TRUE)
sum(ds$Q1g_2,na.rm=TRUE)
sum(ds$Q1g_3,na.rm=TRUE)
sum(ds$Q1g_4,na.rm=TRUE)
sum(ds$Q1g_5,na.rm=TRUE)
sum(ds$Q1g_6,na.rm=TRUE)
sum(ds$Q1g_7,na.rm=TRUE)
sum(ds$Q1g_8,na.rm=TRUE)
##reuse your own data?
table(ds$Q1h)
##used data from a repository
table(ds$Q1i)
## plan to share
table(ds$Q5c)
## years of experience 
mean(ds$Q1d, na.rm=TRUE)
sd(ds$Q1d, na.rm=TRUE)
## mean and SD for items 
sapply(ds, mean)
summary(ds)
sd(ds$Q1d, na.rm=TRUE)

mean(ds$Q5a, na.rm=TRUE)
sd(ds$Q5a, na.rm=TRUE)
range(ds$Q5a, na.rm=TRUE)

mean(ds$Q5b, na.rm=TRUE)
sd(ds$Q5b, na.rm=TRUE)
range(ds$Q5b, na.rm=TRUE)
# frequency by Q5a Q5b
table(ds$Q5a)
table(ds$Q5b)

########################################################################
# * not using anymore *
# create new var for Q5a and Q5b, sharing_exp
#table(ds$Q5a)
#table(ds$Q5b)
#ds$sharing_exp <- ifelse(ds$Q5a>=2 | ds$Q5b>=2, 1, 0)
#table(ds$sharing_exp)
# check that same person is missing in both Q's
#which(is.na(ds$Q5a))
#which(is.na(ds$Q5b)) #index 93 is missing in both
########################################################################

#demographics by sharing attitude (believer var)
##field
table(ds$`agreementfinal`, ds$Q1a)
## area of research (Q1b)
table(ds$`agreementfinal`, ds$Q1b_1)
table(ds$`agreementfinal`, ds$Q1b_2)
table(ds$`agreementfinal`, ds$Q1b_3)
table(ds$`agreementfinal`, ds$Q1b_4)
table(ds$`agreementfinal`, ds$Q1b_5)
table(ds$`agreementfinal`, ds$Q1b_6)
table(ds$`agreementfinal`, ds$Q1b_7)
## workplace
table(ds$`agreementfinal`, ds$Q1c)
## funded IES
table(ds$`agreementfinal`, ds$Q1e_1)
## funded NIH
table(ds$`agreementfinal`, ds$Q1e_2)
## funded NSF
table(ds$`agreementfinal`, ds$Q1e_3)
## grant sites combined
summary(ds$Q1e_sum)
ds2 <- cbind(ds, Q1e_sum)
table(ds2$agreementfinal, ds2$Q1e_sum)
## under 18
table(ds$`agreementfinal`, ds$Q1f)
## types of data (Q1g)
table(ds$`agreementfinal`, ds$Q1g_1)
table(ds$`agreementfinal`, ds$Q1g_2)
table(ds$`agreementfinal`, ds$Q1g_3)
table(ds$`agreementfinal`, ds$Q1g_4)
table(ds$`agreementfinal`, ds$Q1g_5)
table(ds$`agreementfinal`, ds$Q1g_6)
table(ds$`agreementfinal`, ds$Q1g_7)
table(ds$`agreementfinal`, ds$Q1g_8)
##reuse your own data?
table(ds$`agreementfinal`, ds$Q1h)
##used data from a repository
table(ds$`agreementfinal`, ds$Q1i)
## plan to share
table(ds$`agreementfinal`, ds$Q5c)
## years of experience 
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q1d), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q1d), list(name = sd), na.rm=TRUE)




# create new variable for type of type of sharing experience
## 1 = collab only, 2 = repository, 3 = neither 
ds<-ds%>%mutate(share_type = case_when(
  Q5a>=2 & Q5b==1 ~ 1,
  Q5b>=2 ~ 2,
  Q5a==1 & Q5b==1 ~ 3
))
table(ds$share_type)
table(ds$Q5a)
table(ds$Q5b)

## demographics by share_type var
##field
table(ds$`share_type`, ds$Q1a)
## area of research (Q1b)
table(ds$`share_type`, ds$Q1b_1)
table(ds$`share_type`, ds$Q1b_2)
table(ds$`share_type`, ds$Q1b_3)
table(ds$`share_type`, ds$Q1b_4)
table(ds$`share_type`, ds$Q1b_5)
table(ds$`share_type`, ds$Q1b_6)
table(ds$`share_type`, ds$Q1b_7)
## workplace
table(ds$`share_type`, ds$Q1c)
## funded IES
table(ds$`share_type`, ds$Q1e_1)
## funded NIH
table(ds$`share_type`, ds$Q1e_2)
## funded NSF
table(ds$`share_type`, ds$Q1e_3)
## all three grant sites
ds3 <- cbind(ds, Q1e_sum)
table(ds3$share_type, ds3$Q1e_sum)
## under 18
table(ds$`share_type`, ds$Q1f)
## types of data (Q1g)
table(ds$`share_type`, ds$Q1g_1)
table(ds$`share_type`, ds$Q1g_2)
table(ds$`share_type`, ds$Q1g_3)
table(ds$`share_type`, ds$Q1g_4)
table(ds$`share_type`, ds$Q1g_5)
table(ds$`share_type`, ds$Q1g_6)
table(ds$`share_type`, ds$Q1g_7)
table(ds$`share_type`, ds$Q1g_8)
##reuse your own data?
table(ds$`share_type`, ds$Q1h)
##used data from a repository
table(ds$`share_type`, ds$Q1i)
## shared with collaborator 
table(ds$'share_type', ds$Q5a)
## shared on a repository 
table(ds$'share_type', ds$Q5b)
## plan to share
table(ds$`share_type`, ds$Q5c)
## years of experience 
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q1d), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q1d), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q1d), list(name = median), na.rm=TRUE)

table(ds$share_type)
data_try <- data.frame(ds$ID, ds$Q1d, ds$agreementfinal, ds$share_type)


# create new data frame with relevant vars 
data <- data.frame(ds$ID, ds$agreementfinal,ds$share_type, #ID, skeptic/believe, sharing history
                   ds$Q1a,ds$Q1b_1,ds$Q1b_2, ds$Q1b_3, ds$Q1b_4, ds$Q1b_5, ds$Q1b_6, ds$Q1b_7, #demo info
                   ds$Q1c, ds$Q1d, 
                   ds$Q1e_1, ds$Q1e_2, ds$Q1e_3, ds$Q1f,
                   ds$Q1g_1, ds$Q1g_2, ds$Q1g_3, ds$Q1g_4, ds$Q1g_5, ds$Q1g_6, ds$Q1g_7, ds$Q1g_8,
                   ds$Q1h, ds$Q1i,
                   ds$Q5a, ds$Q5b, ds$Q5c, #sharing history info
                   ds$Q5d_1, ds$Q5d_2, ds$Q5d_3, ds$Q5d_4, ds$Q5d_5, ds$Q5d_6, ds$Q5d_7, ds$Q5d_8, ds$Q5d_9, ds$Q5d_10, ds$Q5d_11, ds$Q5d_12) #belief items

#rename sharing attitude col  
ds <- ds %>% 
  rename(
    believer = ds$agreementfinal
  )
table(ds$believer)

table(ds)

#export data! 
write.csv(data, file="data_final.csv")


## check descriptive stats years of experience by group
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q1d), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q1d), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q1d), list(name = median), na.rm=TRUE)

# mean agreement by group 
## attitude mean 
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_1), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_2), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_3), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_4), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_5), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_6), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_7), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_8), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_9), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_10), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_11), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_12), list(name = mean), na.rm=TRUE)
## attitude SD 
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_1), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_2), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_3), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_4), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_5), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_6), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_7), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_8), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_9), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_10), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_11), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(agreementfinal) %>%
  summarise_at(vars(Q5d_12), list(name = sd), na.rm=TRUE)

## experience mean 
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_1), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_2), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_3), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_4), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_5), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_6), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_7), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_8), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_9), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_10), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_11), list(name = mean), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_12), list(name = mean), na.rm=TRUE)
## experience SD 
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_1), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_2), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_3), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_4), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_5), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_6), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_7), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_8), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_9), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_10), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_11), list(name = sd), na.rm=TRUE)
ds %>%
  group_by(share_type) %>%
  summarise_at(vars(Q5d_12), list(name = sd), na.rm=TRUE)

## check "other" category
summary(ds$Q1a_6_TEXT)



